## eb 4.4.2

=== debian/changelog ===
eb (4.4.2-2) unstable; urgency=low

  * debian/patches/01-revert-to-4.4.1.patch: Revert to libeb.so.13.1.0 due
    to the binary incompatibility of libeb.so.13.2.0. (closes: #571458)
  * debian/patches/02-fix-text-mode.patch: Bug fix for setting text mode.
    (taken from libeb.so.13.2.0)
  * debian/README.Debian-source: Removed.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 02 Mar 2010 21:46:44 +0900

eb (4.4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Add ${misc:Depends} to Depends.
    - Update Standards-Version to 3.8.4.
  * debian/copyright: Updated.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 22 Feb 2010 23:58:38 +0900

eb (4.4.1-1) unstable; urgency=low

  * New upstream release. (closes: #538404)
    - Fix that iconv_open doesn't work. (closes: #502266)
  * debian/control, debian/shlibs.local, debian/libeb*: Change the soname
    to libeb13 from libeb12.
  * debian/control:
    - Add libeb12 to Conflicts and Replaces.
    - Update Standards-Version to 3.8.2.
  * debian/README.Debian-source: Update to mention the upstream *.tar.lzma
    file.
  * debian/watch: Expect *.tar.* instead of *.tar.bz2.
  * debian/compat, debian/control: Update debhelper version to 7.
  * debian/rules:
    - Use dh_prep instead of `dh_clean -k'.
    - Set LC_ALL=C for sed.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Jul 2009 07:12:19 +0900

eb (4.3.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Move `Homepage:' from Description to the header.
    - Use ${binary:Version} instead of ${Source-Version}.
    - Set Standards-Version to 3.7.3.
  * debian/rules: Don't ignore an error of `make distclean'.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Feb 2008 20:35:45 +0900

eb (4.3-3) unstable; urgency=low

  * libeb12 conflicts with eb-utils (<= 4.3-1) for `eb.mo'.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 11 Feb 2007 13:51:24 +0900

eb (4.3-2) unstable; urgency=low

  * New maintainer. (with previous maintainer's permission)
  * Fix FTBFS on GNU/k*BSD with updated libtool scripts. (closes: #342680)
  * Fix missing *.mo files. (closes: #253708)
  * Cleanup debian/* scripts.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 11 Feb 2007 02:02:23 +0900

eb (4.3-1) unstable; urgency=low

  * New upstream release

 -- Susumu OSAWA <susumuo@debian.org>  Sat, 20 Jan 2007 15:47:18 +0900

eb (4.2.2-1) unstable; urgency=low

  * New upstream releases (Closes: #294710)

 -- Susumu OSAWA <susumuo@debian.org>  Mon, 12 Dec 2005 01:53:32 +0900

eb (3.3.2-4) unstable; urgency=high

  * Add conflicts & replaces with libeb6 

 -- Susumu OSAWA <susumuo@debian.org>  Mon,  8 Sep 2003 10:46:13 +0900

eb (3.3.2-3) unstable; urgency=high

  * Change so version to 7:2:0 because there is no backward compatibility
    with old versions (Closes: #193377). 

 -- Susumu OSAWA <susumuo@debian.org>  Mon,  8 Sep 2003 03:41:00 +0900

eb (3.3.2-2) unstable; urgency=low

  * Change libeb-dev's section to libdevel 

 -- Susumu OSAWA <susumuo@debian.org>  Mon, 21 Apr 2003 23:53:07 +0900

eb (3.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #189433)
  * Generate man pages with help2man program

 -- Susumu OSAWA <susumuo@debian.org>  Sat, 19 Apr 2003 11:32:28 +0900

eb (3.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #138374)
  * Move /etc/eb.conf to libeb6-dev (Closes: #135425)

 -- Susumu OSAWA <susumuo@debian.org>  Fri, 15 Mar 2002 21:38:07 +0900

eb (3.2-2) unstable; urgency=low

  * Reinstall /etc/eb.conf because ndtpd requires eb.conf when it builds. 

 -- Susumu OSAWA <susumuo@debian.org>  Wed, 20 Feb 2002 22:53:53 +0900

eb (3.2-1) unstable; urgency=low

  * New upstream release
  * Remove /etc/eb.conf from libeb6 because it is not config file
        (Closes: Bug#126140,Bug#132213).

 -- Susumu OSAWA <susumuo@debian.org>  Wed, 20 Feb 2002 01:10:55 +0900

eb (3.1-1) unstable; urgency=low

  * New upstream release

 -- Susumu OSAWA <susumu-o@debian.or.jp>  Mon, 18 Feb 2002 00:30:58 +0900

eb (3.0.1-1) unstable; urgency=low

  * New upstream release

 -- Susumu OSAWA <susumuo@debian.org>  Fri, 20 Jul 2001 09:26:47 +0900

eb (3+0beta1-3) unstable; urgency=low

  * Remove libeb's conflict in libeb4.
  * Missing shlibs.local (Closes: Bug#97999).

 -- Susumu OSAWA <susumuo@debian.org>  Sun, 20 May 2001 08:52:03 +0900

eb (3+0beta1-2) unstable; urgency=low

  * Missing build-depends for zlib1g-dev (Closes: Bug#97787).

 -- Susumu OSAWA <susumuo@debian.org>  Fri, 18 May 2001 02:48:41 +0900

eb (3+0beta1-1) unstable; urgency=low

  * New upstream release

 -- Susumu OSAWA <susumuo@debian.org>  Mon, 14 May 2001 04:42:04 +0900

eb (2.3.8-1) unstable; urgency=low

  * New upstream release
  * Applied eb-2.3.8+ patch.

 -- Susumu OSAWA <susumu-o@debian.or.jp>  Fri, 22 Sep 2000 00:47:51 +0900

eb (2.3.6-1) unstable; urgency=low

  * New upstream release

 -- Susumu OSAWA <susumu-o@debian.or.jp>  Mon, 13 Dec 1999 06:10:58 +0900

eb (2.3.5-1) unstable; urgency=low

  * New upstream release

 -- Susumu OSAWA <susumu-o@debian.or.jp>  Sun,  7 Nov 1999 01:38:48 +0900

eb (2.3.4-1) unstable; urgency=low

  * New upstream release

 -- Susumu OSAWA <susumu-o@debian.or.jp>  Sun, 31 Oct 1999 01:44:17 +0900

eb (2.3.3-2) unstable; urgency=low

  * Regenerate ebinfo-ja.info (closes: Bug#45634).

 -- Susumu OSAWA <susumu-o@debian.or.jp>  Wed, 22 Sep 1999 23:52:40 +0900

eb (2.3.3-1) unstable; urgency=low

  * New upstream release
  * Remove ChangeLog.gz.(Close Bug#45446) 

 -- Susumu OSAWA <susumu-o@debian.or.jp>  Mon, 20 Sep 1999 06:34:18 +0900

eb (2.3-3) unstable; urgency=low

  * Move /usr/info to /usr/share

 -- Susumu OSAWA <susumu-o@debian.or.jp>  Sat, 18 Sep 1999 00:33:21 +0900

eb (2.3-2) unstable; urgency=low

  * Install all info files.(Close Bug#39662)

 -- Susumu OSAWA <susumu-o@debian.or.jp>  Fri, 17 Sep 1999 23:56:23 +0900

eb (2.3-1) unstable; urgency=low


