=== debian/control ===
Source: eb
Section: libs
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper (>= 7), zlib1g-dev, help2man, nkf
Standards-Version: 3.8.4
Homepage: http://www.sra.co.jp/people/m-kasahr/eb/

Package: libeb13
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libeb13-dev, eb-utils, eb-doc
Conflicts: libeb, libeb4, libeb5, libeb6, libeb7, libeb12, eb-utils (<= 4.3-1)
Replaces: libeb, libeb4, libeb5, libeb6, libeb7, libeb12
Description: C library for accessing electronic books (runtime files)
 EB Library is a C library for accessing CD-ROM books.
 .
 EB Library supports to access CD-ROM books of EB, EBG, EBXA, EBXA-C,
 S-EBXA and EPWING formats.  CD-ROM books of those formats are popular
 in Japan.  Since CD-ROM books themseves are stands on the ISO 9660
 format, you can mount the discs by the same way as other ISO 9660 discs.
 .
 This package provides shared libraries of EB Library.

Package: libeb13-dev
Section: libdevel
Architecture: any
Depends: libeb13 (= ${binary:Version}), ${misc:Depends}
Description: C library for accessing electronic books (development files)
 EB Library is a C library for accessing CD-ROM books.
 .
 EB Library supports to access CD-ROM books of EB, EBG, EBXA, EBXA-C,
 S-EBXA and EPWING formats.  CD-ROM books of those formats are popular
 in Japan.  Since CD-ROM books themseves are stands on the ISO 9660
 format, you can mount the discs by the same way as other ISO 9660 discs.
 .
 This package provides development libraries and headers of EB Library.

Package: eb-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library for accessing electronic books (utilities)
 EB Library is a C library for accessing CD-ROM books.
 .
 EB Library supports to access CD-ROM books of EB, EBG, EBXA, EBXA-C,
 S-EBXA and EPWING formats.  CD-ROM books of those formats are popular
 in Japan.  Since CD-ROM books themseves are stands on the ISO 9660
 format, you can mount the discs by the same way as other ISO 9660 discs.
 .
 This package provides utility commands of EB Library.

Package: eb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libeb13, w3m | www-browser
Description: C library for accessing electronic books (documents)
 EB Library is a C library for accessing CD-ROM books.
 .
 EB Library supports to access CD-ROM books of EB, EBG, EBXA, EBXA-C,
 S-EBXA and EPWING formats.  CD-ROM books of those formats are popular
 in Japan.  Since CD-ROM books themseves are stands on the ISO 9660
 format, you can mount the discs by the same way as other ISO 9660 discs.
 .
 This package provides document files of EB Library.
