## eb 4.4.3

=== debian/changelog ===
eb (4.4.3-14.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Boyuan Yang ]
  * d/control: Bump Standards-Version to 4.7.2.
  * debian/control: Move package description to source package section.
  * debian/patches/0003-gcc15-fix.patch: Add patch to fix gcc15 build.
    (Closes: #1096559)
  * debian/*.files: Rename to *.install instead for dh modernization.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Sep 2025 10:34:15 -0400

eb (4.4.3-14.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0002-gcc14-fix.patch: Fix GCC 14 compilation.
    (Closes: #1074929)

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jul 2024 14:00:04 -0400

eb (4.4.3-14.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/shlibs.local: Removed, not needed. (Closes: #1062515)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Apr 2024 22:34:19 +0200

eb (4.4.3-14.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062515

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 02:41:16 +0000

eb (4.4.3-14) unstable; urgency=medium

  * Update debian/copyright
  * Update Standards-Version to 4.6.0
  * Update 010_debian.patch to 2022-04-28

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 28 Apr 2022 22:58:07 +0900

eb (4.4.3-13) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + eb-doc: Add Multi-Arch: foreign.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove Section on libeb16 that duplicates source.

  [ Tatsuya Kinoshita ]
  * Add Rules-Requires-Root: no
  * Use debhelper-compat 13
  * Update debian/copyright
  * Update Standards-Version to 4.5.0
  * Adjust manpages handling for help2man 1.47.15
  * Set SOURCE_DATE_EPOCH with ChangeLog for manpages

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Nov 2020 21:44:13 +0900

eb (4.4.3-12) unstable; urgency=medium

  * Update debhelper compat version to 10
  * Don't use deprecated autotools-dev tools
  * Provide package name libeb-dev
  * Migrate from anonscm.debian.org to salsa.debian.org
  * Update debian/copyright
  * Update Standards-Version to 4.1.3
  * Use -a instead of deprecated -s in debian/rules

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 21 Jan 2018 20:08:01 +0900

eb (4.4.3-11) unstable; urgency=medium

  * Update 010_debian.patch to 2016-10-09
    - Fix return value assigned to variable of wrong type (closes: #833085)
  * Typo fix for debian/changelog

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Oct 2016 10:50:42 +0900

eb (4.4.3-10) unstable; urgency=medium

  * Drop the calls of faketime (closes: #829416)
  * Make symlinks for additional documents
  * Update debian/copyright
  * Update Vcs-Browser to https
  * Update Standards-Version to 3.9.8

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 06 Jul 2016 00:03:36 +0900

eb (4.4.3-9) unstable; urgency=medium

  * Build-Depend on faketime to specify timestamps for help2man
  * Simplify version string for manpages

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 20 Jul 2015 20:59:19 +0900

eb (4.4.3-8) unstable; urgency=medium

  * New patch 010_debian.patch from Debian's development branch
    - Fix too many arguments for format string (closes: #776602)
    - Correct parameter declarations of make_missing_directory()
      (closes: #748030)
    - Fix that url_parts_parse() performs a NULL-pointer dereference
      (closes: #715855)
  * Update debian/copyright
  * Update Vcs-Browser
  * Update Standards-Version to 3.9.6

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 28 Apr 2015 20:32:05 +0900

eb (4.4.3-7) unstable; urgency=low

  * Use autotools-dev to update config.* at build time (closes: #727366)
  * Add Vcs-Git and Vcs-Browser
  * Update Standards-Version to 3.9.4
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 27 Oct 2013 23:24:01 +0900

eb (4.4.3-6) unstable; urgency=low

  * debian/rules: Use dpkg-buildflags to support hardening flags

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jul 2012 15:20:19 +0900

eb (4.4.3-5) unstable; urgency=low

  * Don't install examples/Makefile which is arch-dependent (closes: #674490)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 25 May 2012 22:45:41 +0900

eb (4.4.3-4) unstable; urgency=low

  * debian/rules: Don't embed the value of DEB_HOST_MULTIARCH in eb.conf.
  * debian/control (libeb16-dev): Depends on dpkg-dev (>= 1.16).

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 16 Apr 2012 04:17:28 +0900

eb (4.4.3-3) unstable; urgency=low

  * Support multiarch.
    - debian/control, debian/compat: Build-Depends on debhelper (>= 8.1.3).
    - debian/control (libeb16): Pre-Depends on ${misc:Pre-Depends}.
    - debian/control (libeb16, libeb16-dev): Add Multi-Arch: same.
    - debian/rules: Set DEB_HOST_MULTIARCH and use it.
    - debian/*.files: Replace /usr/lib with /usr/lib/*.
  * debian/copyright: Update copyright-format version to 1.0.
  * debian/control: Update Standards-Version to 3.9.3.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 15 Apr 2012 21:53:41 +0900

eb (4.4.3-2) unstable; urgency=low

  * debian/rules: Add --no-info to help2man to suppress pointer to Texinfo
    manual.
  * debian/copyright, debian/changelog: Typo fix.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 15 May 2011 17:45:24 +0900

eb (4.4.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control, debian/shlibs.local, debian/libeb*: Change the package
    names from libeb13* to libeb16*.
  * debian/libeb16-dev.files: Don't install the *.la file. (closes: #621186)
  * debian/eb-doc.docs: Use wildcard for ChangeLog.*.
  * debian/patches: Removed.
  * debian/eb-utils.manpages: Removed.
  * debian/control: Update Standards-Version to 3.9.2.

