=== debian/control ===
Source: eb
Section: libs
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), zlib1g-dev, help2man, nkf
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/eb.git
Vcs-Browser: https://salsa.debian.org/debian/eb
Homepage: https://www.mistys-internet.website/eb/index-en.html
Rules-Requires-Root: no
Description: C library for accessing electronic books
 EB Library is a C library for accessing CD-ROM books.
 .
 EB Library supports to access CD-ROM books of EB, EBG, EBXA, EBXA-C,
 S-EBXA and EPWING formats.  CD-ROM books of those formats are popular
 in Japan.  Since CD-ROM books themseves are stands on the ISO 9660
 format, you can mount the discs by the same way as other ISO 9660 discs.

Package: libeb16t64
Provides: ${t64:Provides}
Breaks: libeb16 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libeb16-dev, eb-utils, eb-doc
Conflicts: libeb, libeb4, libeb5, libeb6, libeb7, libeb12, libeb13
Replaces: libeb16, libeb, libeb4, libeb5, libeb6, libeb7, libeb12, libeb13
Description: ${source:Synopsis} (runtime files)
 ${source:Extended-Description}
 .
 This package provides shared libraries of EB Library.

Package: libeb16-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libeb16t64 (= ${binary:Version}), dpkg-dev, ${misc:Depends}
Provides: libeb-dev
Conflicts: libeb-dev
Replaces: libeb-dev
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package provides development libraries and headers of EB Library.

Package: eb-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} (utilities)
 ${source:Extended-Description}
 .
 This package provides utility commands of EB Library.

Package: eb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libeb16t64, w3m | www-browser
Multi-Arch: foreign
Description: ${source:Synopsis} (documents)
 ${source:Extended-Description}
 .
 This package provides document files of EB Library.
