=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,13 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
+CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
+CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
+LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)
 
 SUBDIRS_INDEP = doc
 SUBDIRS_ARCH = eb libebutils ebappendix ebfont ebinfo ebrefile ebstopcode ebzip po-eb po-ebutils m4
@@ -23,7 +22,8 @@
 
 config.status: configure
 	dh_testdir
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" --with-pkgdocdir=/usr/share/doc/eb-doc
+	dh_update_autotools_config
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --with-pkgdocdir=/usr/share/doc/eb-doc
 
 build: build-indep build-arch
 
@@ -34,7 +34,9 @@
 
 build-arch: build-arch-stamp
 build-arch-stamp: config.status
+	rm -f eb.conf
 	$(MAKE) SUBDIRS="$(SUBDIRS_ARCH)"
+	perl -i -pe 's!/usr/lib/'`dpkg-architecture -qDEB_HOST_MULTIARCH`'!/usr/lib/`dpkg-architecture -qDEB_HOST_MULTIARCH`!g' eb.conf
 	touch $@
 
 clean:
@@ -72,13 +74,18 @@
 	dh_testdir
 	dh_testroot
 	dh_prep
-	dh_installdirs -s
+	dh_installdirs -a
 
 	$(MAKE) SUBDIRS="$(SUBDIRS_ARCH)" DESTDIR=$(CURDIR)/debian/tmp install
 
 	install -d $(CURDIR)/debian/tmp/usr/share/man/man1
 	for f in $(CURDIR)/debian/*.h2m; do \
-	  LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib help2man --include=$${f} --output=$(CURDIR)/debian/tmp/usr/share/man/man1/`basename $${f} .h2m`.1 $(CURDIR)/debian/tmp/usr/bin/`basename $${f} .h2m`; \
+	  b=`basename $${f} .h2m`; \
+	  m=$(CURDIR)/debian/tmp/usr/share/man/man1/$${b}.1; \
+	  d=`sed -e 's/ .*//;q' $(CURDIR)/ChangeLog`; \
+	  LD_LIBRARY_PATH=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) SOURCE_DATE_EPOCH=`date --utc -d $${d} +%s` help2man --no-info --include=$${f} --output=$${m} $(CURDIR)/debian/tmp/usr/bin/$${b}; \
+	  sed 's/"'$${b}' (EB Library)/"EB Library/; s/ version//' $${m} > $${m}.tmp && mv -f $${m}.tmp $${m}; \
+	  rm -f $${m}.tmp; \
 	done
 	install -d $(CURDIR)/debian/tmp/usr/share/eb
 	for f in README; do \
@@ -86,8 +93,8 @@
 	done
 	install debian/README.Debian $(CURDIR)/debian/tmp/usr/share/eb/
 
-	dh_movefiles -s
-	dh_install -s
+	dh_movefiles -a
+	dh_install -a
 	rm -f $(CURDIR)/debian/eb-utils/usr/bin/ebunzip
 	rm -f $(CURDIR)/debian/eb-utils/usr/bin/ebzipinfo
 
@@ -118,7 +125,7 @@
 
 # Build architecture dependant packages using the common target.
 binary-arch: build-arch install-arch
-	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
+	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install install-indep install-arch build-indep build-arch
