=== debian/watch ===
Version: 5

Source: ftp://ftp.sra.co.jp/pub/misc/eb/
Matching-Pattern: eb-([0-9].*)\.tar\..*
Update-Script: uupdate
